<?php
class Plugin_nav extends Plugin {

  public function index() {
    
    $app = Slim::getInstance();

    $url = $this->fetch_param('from', $app->config['current_path']);
    $url = Statamic_Helper::resolve_path($url);
    $max_depth = $this->fetch_param('max_depth', 1, 'is_numeric');
    $tree = Statamic::get_content_tree($url, 1, $max_depth);

    if (count($tree) > 0) {
      return $this->parse_loop($this->content, $tree);
    }

    return FALSE;
  }

  public function count() {
    $app = Slim::getInstance();

    $url = $this->fetch_param('from', $app->config['current_path']);
    $url = Statamic_Helper::resolve_path($url);
    $max_depth = $this->fetch_param('max_depth', 1, 'is_numeric');
    $tree = Statamic::get_content_tree($url, 1, $max_depth);
    return count($tree);
  }

  
}