<div id="status-bar">

  <?php if ($flash['success']): ?>
  <div id="flash-msg" class="success">
    <span class="icon">8</span>
    <span class="msg"><?php print $flash['success']; ?></p>
  </div>
  <?php endif ?>

  <?php if ($flash['error']): ?>
  <div id="flash-msg" class="error">
    <span class="icon">c</span>
    <span class="msg"><?php print $flash['error']; ?></p>
  </div>
  <?php endif ?>

  <span class="icon">n</span> Site Pages
</div>

<div id="screen">
  <ul id="page-tree">
    <?php foreach ($pages as $page): ?>
    <li>
      <div class="page-wrapper">
      <?php 
      $base = $page['slug'];
      if ($page['type'] == 'file'): ?>
        <a href="<?php print $app->urlFor('publish')."?path={$base}/{$page['slug']}"; ?>">Edit Content</a>
      <?php else: ?>
        <a href="<?php print $app->urlFor('publish')."?path={$base}/page"; ?>"><span class="page-title"><?php print $page['title'] ?></span></a>
      <?php endif ?>

      <?php if (isset($page['has_entries']) && $page['has_entries']): 
        $base = $page['slug'];
        ?>
        <div class="control-entries">
          <span class="icon">n</span>
          <a href="<?php print $app->urlFor('entries')."?path={$base}"; ?>">
            <span class="iphone">List</span>
            <span class="web">List Entries</span>
          </a>
          <em>or</em><a href="<?php print $app->urlFor('publish')."?path={$base}&new=true"; ?>">
            <span class="iphone">Add</span>
            <span class="web">Create Entry</span>
          </a>
        </div>
      <?php endif ?>
        <div class="page-extras">
          <div class="page-view">
            <?php if ($page['type'] == 'file'): ?>
              <a href="<?php print Statamic::get_site_root().$base.'/'.$page['slug']?>" class="tip" title="View Page"><span class="icon">M</span></a>
            <?php elseif ($page['type'] == 'home'): ?>
              <a href="<?php print Statamic::get_site_root(); ?>" class="tip" title="View Page"><span class="icon">M</span></a>
            <?php else: ?>
              <a href="<?php print Statamic::get_site_root().$base?>" class="tip" title="View Page"><span class="icon">M</span></a>
            <?php endif ?>
          </div>
          <div class="slug-preview">
            <?php print $base ?>
          </div>
        </div>
      </div>
      <?php if (isset($page['children']) && (sizeof($page['children'])> 0)): ?>
        <?php display_folder($app, $page['children'], $page['slug']) ?>
      <?php endif ?>
    </li>
    <?php endforeach ?>
  </ul>
</div>


<?php function display_folder($app, $folder, $base="") {  ?>
<ul>
<?php foreach ($folder as $page): ?>
<li>
  <div class="page-wrapper">
    <?php if (isset($page['title'])): ?>

    <?php if (isset($folder['has_entries']) && $folder['has_entries']): ?>
    <div class="control-entries">
      <span class="icon">n</span>
      <a href="<?php print $app->urlFor('entries')."?path={$base}"; ?>">List Entries</a>
      <a href="<?php print $app->urlFor('publish')."?path={$base}&new=true"; ?>">Create Entry</a>
    </div>
    <?php endif ?>
    <?php if ($page['type'] == 'file'): ?>
      <a href="<?php print $app->urlFor('publish')."?path={$base}/{$page['slug']}"; ?>"><span class="page-title"><?php print $page['title'] ?></span></a>
    <?php else: ?>
      <a href="<?php print $app->urlFor('publish')."?path={$base}/page"; ?>"><span class="page-title"><?php print $page['title'] ?></span></a>
    <?php endif ?>
    <div class="page-extras">
      <div class="page-view">
        <?php if ($page['type'] == 'file'): ?>
          <a href="<?php print Statamic::get_site_root().$base.'/'.$page['slug']?>" class="tip" title="View Page"><span class="icon">M</span></a>
        <?php else: ?>
          <a href="<?php print Statamic::get_site_root().$base?>" class="tip" title="View Page"><span class="icon">M</span></a>
        <?php endif ?>
      </div>
      <div class="slug-preview">
        <?php print $base.' /'.$page['slug'] ?>
      </div>
    </div>
  </div>
  <?php if (isset($page['children']) && (sizeof($page['children'])> 0)) {
    display_folder($app, $page['children'], $base."/".$page['slug']);
  } ?>
  <?php endif ?>
</li>
<?php endforeach ?>
</ul>
<?php } #end function ?>